#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-DBD-mysql
Version		:	4.050
Release		:	17.2.0.rel%{?dist}
Summary		:	MySQL driver for the Perl5 Database Interface (DBI)

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	mariadb
BuildRequires	:	perl
BuildRequires	:	perl(Devel::CheckLib) >= 1.09
BuildRequires	:	perl(DBI)
#-----------------------------------------------------------------------------
%description
DBD::mysql is the Perl5 Database Interface driver for the
MySQL database. In other words: DBD::mysql is an interface
between the Perl programming language and the MySQL programming
API that comes with the MySQL relational database management
system. Most functions provided by this programming API are
supported. Some rarely used functions are missing, mainly
because no-one ever requested them. :-)

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}
# Correct file permissions
find . -type f | xargs chmod -x

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\
	NO_PERLLOCAL=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

# Fixup permissions for shared libraries from non-standard 555 to standard 755:
find									\
	%{buildroot}%{_libdir}/perl5/%{perlvers}/core_perl 		\
	-name \*.so							\
	-type f -exec chmod u+w {} \;

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README.md
%license LICENSE
%{_libdir}/perl5/%{perlvers}/core_perl/Bundle/DBD/mysql.pm
%{_libdir}/perl5/%{perlvers}/core_perl/DBD/mysql.pm
%{_libdir}/perl5/%{perlvers}/core_perl/DBD/mysql/INSTALL.pod
%{_libdir}/perl5/%{perlvers}/core_perl/DBD/mysql/*.pm
%{_libdir}/perl5/%{perlvers}/core_perl/auto/DBD/mysql/mysql.so
%{_mandir}/man3/Bundle::DBD::mysql*.3.gz
%{_mandir}/man3/DBD::mysql*.3.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog

